git-annex-dropkey(1)

NAME
git-annex-dropkey - drops annexed content for specified keys

SYNOPSIS
git annex dropkey [key ...]

DESCRIPTION
This plumbing-level command drops the annexed data for the specified keys from this repository.

This can be used to drop content for arbitrary keys, which do not need to have a file in the git repository pointing at them.

Warning: This command does not check that enough other copies of the content exist; using it can easily result in data loss.

OPTIONS

--batch

    Enables batch mode, in which lines containing keys to drop are read from stdin.

--json
    Enable JSON output. This is intended to be parsed by programs that use git-annex. Each line of output is a JSON object.

--json-error-messages
    Messages that would normally be output to standard error are included in the json instead.

SEE ALSO
git-annex(1)

git-annex-setkey(1)

AUTHOR
Joey Hess <id@joeyh.name>